Index: protocols/twitter/twitter_http.c
===================================================================
--- protocols/twitter/twitter_http.c	(revision dd7b931d0fe950c5a6646c72565739fd8835c136)
+++ protocols/twitter/twitter_http.c	(revision 5ebff60479fc7a9f7f50ac03b124c91d4e6ebe11)
@@ -48,5 +48,5 @@
  */
 struct http_request *twitter_http(struct im_connection *ic, char *url_string, http_input_function func,
-		                  gpointer data, int is_post, char **arguments, int arguments_len)
+                                  gpointer data, int is_post, char **arguments, int arguments_len)
 {
 	struct twitter_data *td = ic->proto_data;
@@ -68,5 +68,5 @@
 		}
 	}
-	
+
 	if (strstr(url_string, "://")) {
 		base_url = g_new0(url_t, 1);
@@ -76,14 +76,14 @@
 		}
 	}
-	
+
 	// Make the request.
 	g_string_printf(request, "%s %s%s%s%s HTTP/1.1\r\n"
-			"Host: %s\r\n"
-			"User-Agent: BitlBee " BITLBEE_VERSION " " ARCH "/" CPU "\r\n",
-			is_post ? "POST" : "GET",
-			base_url ? base_url->file : td->url_path,
-			base_url ? "" : url_string,
-			is_post ? "" : "?", is_post ? "" : url_arguments,
-			base_url ? base_url->host : td->url_host);
+	                "Host: %s\r\n"
+	                "User-Agent: BitlBee " BITLBEE_VERSION " " ARCH "/" CPU "\r\n",
+	                is_post ? "POST" : "GET",
+	                base_url ? base_url->file : td->url_path,
+	                base_url ? "" : url_string,
+	                is_post ? "" : "?", is_post ? "" : url_arguments,
+	                base_url ? base_url->host : td->url_host);
 
 	// If a pass and user are given we append them to the request.
@@ -92,10 +92,11 @@
 		char *full_url;
 
-		if (base_url)
+		if (base_url) {
 			full_url = g_strdup(url_string);
-		else
+		} else {
 			full_url = g_strconcat(set_getstr(&ic->acc->set, "base_url"), url_string, NULL);
+		}
 		full_header = oauth_http_header(td->oauth_info, is_post ? "POST" : "GET",
-						full_url, url_arguments);
+		                                full_url, url_arguments);
 
 		g_string_append_printf(request, "Authorization: %s\r\n", full_header);
@@ -116,7 +117,7 @@
 		// Append the Content-Type and url-encoded arguments.
 		g_string_append_printf(request,
-				       "Content-Type: application/x-www-form-urlencoded\r\n"
-				       "Content-Length: %zd\r\n\r\n%s",
-				       strlen(url_arguments), url_arguments);
+		                       "Content-Type: application/x-www-form-urlencoded\r\n"
+		                       "Content-Length: %zd\r\n\r\n%s",
+		                       strlen(url_arguments), url_arguments);
 	} else {
 		// Append an extra \r\n to end the request...
@@ -124,8 +125,10 @@
 	}
 
-	if (base_url)
-		ret = http_dorequest(base_url->host, base_url->port, base_url->proto == PROTO_HTTPS, request->str, func, data);
-	else
+	if (base_url) {
+		ret = http_dorequest(base_url->host, base_url->port, base_url->proto == PROTO_HTTPS, request->str, func,
+		                     data);
+	} else {
 		ret = http_dorequest(td->url_host, td->url_port, td->url_ssl, request->str, func, data);
+	}
 
 	g_free(url_arguments);
@@ -136,9 +139,12 @@
 
 struct http_request *twitter_http_f(struct im_connection *ic, char *url_string, http_input_function func,
-		                    gpointer data, int is_post, char **arguments, int arguments_len, twitter_http_flags_t flags)
+                                    gpointer data, int is_post, char **arguments, int arguments_len,
+                                    twitter_http_flags_t flags)
 {
 	struct http_request *ret = twitter_http(ic, url_string, func, data, is_post, arguments, arguments_len);
-	if (ret)
+
+	if (ret) {
 		ret->flags |= flags;
+	}
 	return ret;
 }
@@ -147,4 +153,5 @@
 {
 	char *key_encoded = g_strndup(key, 3 * strlen(key));
+
 	http_encode(key_encoded);
 	char *value_encoded = g_strndup(value, 3 * strlen(value));
@@ -152,8 +159,9 @@
 
 	char *retval;
-	if (strlen(url) != 0)
+	if (strlen(url) != 0) {
 		retval = g_strdup_printf("%s&%s=%s", url, key_encoded, value_encoded);
-	else
+	} else {
 		retval = g_strdup_printf("%s=%s", key_encoded, value_encoded);
+	}
 
 	g_free(key_encoded);
